Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Class CommandEvent

    java.lang.Object
      org.eclipse.ui.commands.CommandEvent

public final class CommandEvent
extends Object

An instance of this class describes changes to an instance of `ICommand`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ICommandListener.commandChanged(CommandEvent)`

Constructor Summary
`CommandEvent(ICommand command, boolean attributeValuesByNameChanged, boolean categoryIdChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean keySequenceBindingsChanged, boolean nameChanged, Map previousAttributeValuesByName)` Creates a new instance of this class.

Method Summary
`ICommand` | `getCommand()` Returns the instance of the interface that changed.
`Map` | `getPreviousAttributeValuesByName()` Returns the map of previous attribute values by name.
`boolean` | `hasCategoryIdChanged()` Returns whether or not the categoryId property changed.
`boolean` | `hasDefinedChanged()` Returns whether or not the defined property changed.
`boolean` | `hasDescriptionChanged()` Returns whether or not the description property changed.
`boolean` | `hasHandledChanged()` Returns whether or not the handled property changed.
`boolean` | `hasNameChanged()` Returns whether or not the name property changed.
`boolean` | `haveAttributeValuesByNameChanged()` Returns whether or not the attributeValuesByName property changed.
`boolean` | `haveKeySequenceBindingsChanged()` Returns whether or not the keySequenceBindings property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandEvent

    public CommandEvent(ICommand command,
                        boolean attributeValuesByNameChanged,
                        boolean categoryIdChanged,
                        boolean definedChanged,
                        boolean descriptionChanged,
                        boolean handledChanged,
                        boolean keySequenceBindingsChanged,
                        boolean nameChanged,
                        Map previousAttributeValuesByName)

  Creates a new instance of this class.

Parameters:
  `command` - the instance of the interface that changed.
  `attributeValuesByNameChanged` - true, iff the attributeValuesByName property changed.
  `categoryIdChanged` - true, iff the categoryId property changed.
  `definedChanged` - true, iff the defined property changed.
  `descriptionChanged` - true, iff the description property changed.
  `handledChanged` - true, iff the handled property changed.
  `keySequenceBindingsChanged` - true, iff the keySequenceBindings property changed.
  `nameChanged` - true, iff the name property changed.
  `previousAttributeValuesByName` - the map of previous attribute values by name. This map may be empty. If this map is not empty, it's collection of keys must only contain instances of `String`. This map must be `null` if attributeValuesByNameChanged is `false` and must not be null if attributeValuesByNameChanged is `true`.

Method Detail

### getCommand

    public ICommand getCommand()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### getPreviousAttributeValuesByName

    public Map getPreviousAttributeValuesByName()

  Returns the map of previous attribute values by name.

  Returns:
    the map of previous attribute values by name. This map may be empty. If this map is not empty, it's collection of keys is guaranteed to only contain instances of `String`. This map is guaranteed to be `null` if haveAttributeValuesByNameChanged() is `false` and is guaranteed to not be null if haveAttributeValuesByNameChanged() is `true`.

### hasCategoryIdChanged

    public boolean hasCategoryIdChanged()

  Returns whether or not the categoryId property changed.

  Returns:
    true, iff the categoryId property changed.

### hasDefinedChanged

    public boolean hasDefinedChanged()

  Returns whether or not the defined property changed.

  Returns:
    true, iff the defined property changed.

### hasDescriptionChanged

    public boolean hasDescriptionChanged()

  Returns whether or not the description property changed.

  Returns:
    true, iff the description property changed.

### hasHandledChanged

    public boolean hasHandledChanged()

  Returns whether or not the handled property changed.

  Returns:
    true, iff the handled property changed.

### hasNameChanged

    public boolean hasNameChanged()

  Returns whether or not the name property changed.

  Returns:
    true, iff the name property changed.

### haveAttributeValuesByNameChanged

    public boolean haveAttributeValuesByNameChanged()

  Returns whether or not the attributeValuesByName property changed.

  Returns:
    true, iff the attributeValuesByName property changed.

### haveKeySequenceBindingsChanged

    public boolean haveKeySequenceBindingsChanged()

  Returns whether or not the keySequenceBindings property changed.

  Returns:
    true, iff the keySequenceBindings property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.